JNA API 3.2.7

## com.sun.jna.win32
Interface W32APIOptions

All Superinterfaces:
  AltCallingConvention, Library, StdCall, StdCallLibrary

    public interface W32APIOptions

extends StdCallLibrary

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`Library.Handler`

Field Summary
`static Map` | `ASCII_OPTIONS` Standard options to use the ASCII/MBCS version of a w32 API.
`static Map` | `DEFAULT_OPTIONS`
`static Map` | `UNICODE_OPTIONS` Standard options to use the unicode version of a w32 API.

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### UNICODE_OPTIONS

    static final Map UNICODE_OPTIONS

  Standard options to use the unicode version of a w32 API.

### ASCII_OPTIONS

    static final Map ASCII_OPTIONS

  Standard options to use the ASCII/MBCS version of a w32 API.

### DEFAULT_OPTIONS

    static final Map DEFAULT_OPTIONS

JNA API 3.2.7

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.